Bug 3278 - Too old version
: Too old version
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bootsplash)
: unstable
: all Linux
: P2 major
Assigned To:
:
: http://bootsplash.org/dload.html
:
:
:
  Show dependency tree
 
Reported: 2003-11-17 14:03 by
Modified: 2007-04-06 16:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-11-17 14:03:48
В ядрышке уже давно 3.0.7, а утилитки престарелые (1.2.1), надо бы обновить.
Правленный спек прилагается.

# -*- rpm-spec -*-
# $Id: bootsplash,v 1.1 2003/11/17 10:58:00 grigory Exp $

%define themes_dir %_datadir/splash/themes

Name: bootsplash
Version: 3.0.7
Release: alt1

Summary: Console splash animations during bootup
License: GPL
Group: System/Base
PreReq: coreutils
Requires: design-bootsplash

BuildPreReq: gfxboot

# Scripts and programs
Source0: %name-%version.tar.bz2
Source1: scripts.tar.bz2

# Automatically added by buildreq on Mon Nov 17 2003
BuildRequires: freetype2-devel libjpeg-devel liblcms libmng-devel zlib-devel

%description
This package adds nice status animations to the boot process
(needs console splash screen enabled)

%prep
%setup -q
%__tar xjvf %SOURCE1
%__subst 's|/etc/rc\.status|%_initdir/functions|g' Scripts/splash_{early,late}
%__subst 's|/etc/bootsplash/themes/|%themes_dir/|g'
Scripts/{splash.sh,bootanim}

%build
pushd Utilities
PREFIX=%_exec_prefix LIB=%_lib make
popd

%install
# create directory structure
%__mkdir_p
%buildroot{/bin,%_bindir,%_sbindir,%_initdir,%_sysconfdir/sysconfig,%themes_dir}

# copy files
for f in Utilities/{fbmngplay,splash,fbresolution,fbtruetype} \
         Scripts/{bootanim,splash.sh,splash_early,splash_late}; do
        %__install -m 755 $f %buildroot/bin/
done
%__install -m 755 scripts/rcsplash              %buildroot%_initdir/splash
%__ln_s -f ../../%_initdir/splash %buildroot%_sbindir/rcsplash
%__install -m 755 scripts/set_theme.bootsplash  %buildroot%_bindir/
%__install -m 644 Scripts/sysconfig.%name      
%buildroot%_sysconfdir/sysconfig/bootsplash

%post
%post_service splash

%preun
%preun_service splash

%files
%doc COPYING Documentation/* Utilities/README.fbmngplay
Utilities/README.fbtruetype
%dir %themes_dir
%config %_sysconfdir/sysconfig/bootsplash
%_initdir/*
/bin/*
%_bindir/*
#%themes_dir/*
%_sbindir/*

%changelog
* Mon Nov 17 2003 Grigory Milev <week@altlinux.ru> 3.0.7-alt1
- new version released
- clean up spec file

* Wed Mar 05 2003 Rider <rider@altlinux.ru> 1.2.1-alt1
- fix stop function for show splash screen on current console

* Mon Mar 03 2003 Rider <rider@altlinux.ru> 1.2-alt1
- fix initscript for correct stop and start funtions

* Mon Feb 24 2003 Rider <rider@altlinux.ru> 1.1-alt1
- splash initscript changed:
  * chkconfig support
  * stop function for show bootsplash image and change VT to 1
  * support for virtual terminal in themes. Need files in
    /usr/share/splash/themes/$THEME/config/, named like
vtsplash-<VT_NUMBER>-<RESOLUTION>.cfg
- added post and preun scripts for service splash
- removed %config tag from splash initscript


* Sun Feb 16 2003 Rider <rider@altlinux.ru> 1.0-alt2.2
- fix BuildRequires & requires

* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2.1
- fix usage display in initscript (added "disable" to help screen)

* Mon Feb 10 2003 Rider <rider@altlinux.ru> 1.0-alt2
- fix initscript

* Wed Feb 05 2003 Rider <rider@altlinux.ru> 1.0-alt1
- first build for ALT, based on SuSE package
------- Comment #1 From 2004-05-14 19:20:36 -------
Версия обновлена.